## UIM Change PIN request UIM Change PIN request |

## Functions

QmiMessageUimChangePinInput * | qmi_message_uim_change_pin_input_new ()
QmiMessageUimChangePinInput * | qmi_message_uim_change_pin_input_ref ()
void | qmi_message_uim_change_pin_input_unref ()
gboolean | qmi_message_uim_change_pin_input_get_response_in_indication_token ()
gboolean | qmi_message_uim_change_pin_input_set_response_in_indication_token ()
gboolean | qmi_message_uim_change_pin_input_get_info ()
gboolean | qmi_message_uim_change_pin_input_set_info ()
gboolean | qmi_message_uim_change_pin_input_get_session ()
gboolean | qmi_message_uim_change_pin_input_set_session ()
QmiMessageUimChangePinOutput * | qmi_message_uim_change_pin_output_ref ()
void | qmi_message_uim_change_pin_output_unref ()
gboolean | qmi_message_uim_change_pin_output_get_card_result ()
gboolean | qmi_message_uim_change_pin_output_get_result ()
gboolean | qmi_message_uim_change_pin_output_get_retries_remaining ()
gboolean | qmi_message_uim_change_pin_output_get_response_in_indication_token ()
void | qmi_client_uim_change_pin ()
QmiMessageUimChangePinOutput * | qmi_client_uim_change_pin_finish ()

## Types and Values

| QmiMessageUimChangePinInput
| QmiMessageUimChangePinOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimChangePinInput
        ╰── QmiMessageUimChangePinOutput

## Description

## Functions

### qmi_message_uim_change_pin_input_new ()

    QmiMessageUimChangePinInput *
    qmi_message_uim_change_pin_input_new (void);

Allocates a new QmiMessageUimChangePinInput.

#### Returns

the newly created QmiMessageUimChangePinInput. The returned value should be freed with `qmi_message_uim_change_pin_input_unref()`.

Since: 1.14

### qmi_message_uim_change_pin_input_ref ()

    QmiMessageUimChangePinInput *
    qmi_message_uim_change_pin_input_ref (QmiMessageUimChangePinInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimChangePinInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_change_pin_input_unref ()

    void
    qmi_message_uim_change_pin_input_unref
                                   (QmiMessageUimChangePinInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimChangePinInput. |

Since: 1.14

### qmi_message_uim_change_pin_input_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_change_pin_input_get_response_in_indication_token
                                   (QmiMessageUimChangePinInput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_set_response_in_indication_token ()

    gboolean
    qmi_message_uim_change_pin_input_set_response_in_indication_token
                                   (QmiMessageUimChangePinInput *self,
                                    guint32 value_response_in_indication_token,
                                    GError **error);

Set the 'Response In Indication Token' field in the message.

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_response_in_indication_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_get_info ()

    gboolean
    qmi_message_uim_change_pin_input_get_info
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimPinId *value_info_pin_id,
                                    const gchar **value_info_old_pin,
                                    const gchar **value_info_new_pin,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_info_pin_id | a placeholder for the output QmiUimPinId, or `NULL` if not required. |
value_info_old_pin | a placeholder for the output constant string, or `NULL` if not required. |
value_info_new_pin | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_set_info ()

    gboolean
    qmi_message_uim_change_pin_input_set_info
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimPinId value_info_pin_id,
                                    const gchar *value_info_old_pin,
                                    const gchar *value_info_new_pin,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_info_pin_id | a QmiUimPinId. |
value_info_old_pin | a constant string. |
value_info_new_pin | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_get_session ()

    gboolean
    qmi_message_uim_change_pin_input_get_session
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_set_session ()

    gboolean
    qmi_message_uim_change_pin_input_set_session
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_output_ref ()

    QmiMessageUimChangePinOutput *
    qmi_message_uim_change_pin_output_ref (QmiMessageUimChangePinOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimChangePinOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_change_pin_output_unref ()

    void
    qmi_message_uim_change_pin_output_unref
                                   (QmiMessageUimChangePinOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimChangePinOutput. |

Since: 1.14

### qmi_message_uim_change_pin_output_get_card_result ()

    gboolean
    qmi_message_uim_change_pin_output_get_card_result
                                   (QmiMessageUimChangePinOutput *self,
                                    guint8 *value_card_result_sw1,
                                    guint8 *value_card_result_sw2,
                                    GError **error);

Get the 'Card Result' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinOutput. |
value_card_result_sw1 | a placeholder for the output guint8, or `NULL` if not required. |
value_card_result_sw2 | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_output_get_result ()

    gboolean
    qmi_message_uim_change_pin_output_get_result
                                   (QmiMessageUimChangePinOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimChangePinOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_message_uim_change_pin_output_get_retries_remaining ()

    gboolean
    qmi_message_uim_change_pin_output_get_retries_remaining
                                   (QmiMessageUimChangePinOutput *self,
                                    guint8 *value_retries_remaining_verify_retries_left,
                                    guint8 *value_retries_remaining_unblock_retries_left,
                                    GError **error);

Get the 'Retries Remaining' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinOutput. |
value_retries_remaining_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
value_retries_remaining_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_output_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_change_pin_output_get_response_in_indication_token
                                   (QmiMessageUimChangePinOutput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinOutput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_client_uim_change_pin ()

    void
    qmi_client_uim_change_pin (QmiClientUim *self,
                               QmiMessageUimChangePinInput *input,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a Change PIN request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_change_pin_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimChangePinInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_uim_change_pin_finish ()

    QmiMessageUimChangePinOutput *
    qmi_client_uim_change_pin_finish (QmiClientUim *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_uim_change_pin()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_change_pin()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimChangePinOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_change_pin_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageUimChangePinInput

    typedef struct _QmiMessageUimChangePinInput QmiMessageUimChangePinInput;

The QmiMessageUimChangePinInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageUimChangePinOutput

    typedef struct _QmiMessageUimChangePinOutput QmiMessageUimChangePinOutput;

The QmiMessageUimChangePinOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14